scala.tools.cmd.Opt

# Instance

#### class Instance extends Implicit with Error

Linear Supertypes
Error, Implicit, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Instance
2. Error
3. Implicit
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Instance(programInfo: Info, parsed: CommandLine, name: String)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Instance to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def -->(body: ⇒ Unit): Unit

   Definition Classes
     Instance → Implicit

6. #### def --?: Boolean

   Definition Classes
     Instance → Implicit

7. #### def --^[T](implicit arg0: FromString[T]): Option[T]

   Definition Classes
     Instance → Implicit

8. #### def --|: Option[String]

   Definition Classes
     Instance → Implicit

9. #### def ->[B](y: B): (Instance, B)

   Implicit information
     This member is added by an implicit conversion from Instance to ArrowAssoc[Instance] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

10. #### def /(descr: String): String

    Help.

    Help.

    Definition Classes
      Instance → Implicit

11. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### final def ==(arg0: Any): Boolean

    Definition Classes
      Any

13. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

14. #### def choiceOf[T](choices: T*)(implicit arg0: FromString[T]): Option[T]

    Definition Classes
      Instance → Implicit

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### def defaultTo[T](default: T)(implicit arg0: FromString[T]): T

    Names.

    Names.

    Definition Classes
      Instance → Implicit

17. #### def defaultToEnv(envVar: String): String

    Definition Classes
      Instance → Implicit

18. #### def ensuring(cond: (Instance) ⇒ Boolean, msg: ⇒ Any): Instance

    Implicit information
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: (Instance) ⇒ Boolean): Instance

    Implicit information
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean, msg: ⇒ Any): Instance

    Implicit information
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean): Instance

    Implicit information
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

24. #### def expandTo(args: String*): Unit

    Definition Classes
      Instance → Implicit

25. #### def fail(msg: String): Nothing

    Attributes
      protected
    Definition Classes
      Error

26. #### def failOption(arg: String, why: String): Nothing

    Attributes
      protected
    Definition Classes
      Error

27. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

28. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Instance to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

29. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

30. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### val name: String

    Definition Classes
      Instance → Implicit

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def opt: String

    Attributes
      protected
    Definition Classes
      Implicit

37. #### def optMap[T](f: (String) ⇒ T): Option[T]

    Definition Classes
      Implicit

38. #### val parsed: CommandLine

39. #### val programInfo: Info

    Definition Classes
      Instance → Implicit

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### def →[B](y: B): (Instance, B)

    Implicit information
      This member is added by an implicit conversion from Instance to ArrowAssoc[Instance] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Instance to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (instance: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Instance to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (instance: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Instance

   Implicit information
     This member is added by an implicit conversion from Instance to ArrowAssoc[Instance] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (instance: ArrowAssoc[Instance]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Instance

   Implicit information
     This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (instance: Ensuring[Instance]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Error

### Inherited from Implicit

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Instance to StringAdd

### Inherited by implicit conversion any2stringfmt from Instance to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Instance to ArrowAssoc[Instance]

### Inherited by implicit conversion any2Ensuring from Instance to Ensuring[Instance]

### Ungrouped